Skip to main content

Update Prospect: Rentcafe

PUThttps://api.propexo.com/crm/v1/prospects/rentcafe/:prospect_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

prospect_id stringrequired

The Propexo unique identifier for the prospect

Request​

This endpoint expects an object.

    agent_idstring

    The Propexo unique identifier for the agent

    notesstring

    Notes associated with the prospect. This is appended to any existing message

    address_1string

    The first address line associated with the prospect

    Possible values: <= 40 characters

    address_2string

    The second address line associated with the prospect

    Possible values: <= 40 characters

    citystring

    The city associated with the prospect

    Possible values: <= 30 characters

    statestring

    The state associated with the prospect

    Possible values: <= 4 characters

    zipstring

    The zip code associated with the prospect

    Possible values: <= 12 characters

    countrystring

    The country associated with the prospect

    Possible values: <= 2 characters

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.

    preferred_contact_methodstring

    The way the prospect prefers to be contacted

    Show 4 enum values
    NONECALLTEXTEMAIL
    subscribeboolean

    Whether or not to subscribe the prospect to automated Rentcafe email messaging.

    prospect_sourcestring

    The name of the source of the lead

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    agent_idstring

    The Propexo unique identifier for the agent

    notesstring

    Notes associated with the prospect. This is appended to any existing message

    address_1string

    The first address line associated with the prospect

    Possible values: <= 40 characters

    address_2string

    The second address line associated with the prospect

    Possible values: <= 40 characters

    citystring

    The city associated with the prospect

    Possible values: <= 30 characters

    statestring

    The state associated with the prospect

    Possible values: <= 4 characters

    zipstring

    The zip code associated with the prospect

    Possible values: <= 12 characters

    countrystring

    The country associated with the prospect

    Possible values: <= 2 characters

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsinteger[]

    Possible values: >= 0

    preferred_contact_methodstring

    The way the prospect prefers to be contacted

    Show 4 enum values
    NONECALLTEXTEMAIL
    subscribeboolean

    Whether or not to subscribe the prospect to automated Rentcafe email messaging.

    prospect_sourcestring

    The name of the source of the lead

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /crm/v1/prospects/rentcafe/:prospect_id
curl -X PUT https://api.propexo.com/crm/v1/prospects/rentcafe/:prospect_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "string",
"notes": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": [
0
],
"preferred_contact_method": "NONE",
"subscribe": true,
"prospect_source": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"prospect_id": "string",
"agent_id": "string",
"notes": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": [
0
],
"preferred_contact_method": "NONE",
"subscribe": true,
"prospect_source": "string"
}
}